Subject: [Jwt-reg-review] [IANA #1147909] RE: Request to register claim: "at_use_nbr"

From: "Sabrina Tanamal via RT" <[email-masked]>
Date: Mon, 09 Sep 2019 21:03:36 +0000

Hi Mike, all, 

We're just checking in on this request. Should we keep this ticket open? 

Thanks,
Sabrina

On Thu Aug 22 10:33:06 2019, [email-masked] wrote:
> Hi Mike,
> 
> I am now a bit puzzled with the different registrations and email
> threads.
> 
> Please, let me compact somehow the status and exchanges we have had.
> There were 5 registration request for different registries from ISG
> NFV SEC022 document:
> 
> Well-known URIs – IANA #1145727 - DONE
> OAuth Dynamic Client Registration Metadata – IANA #1146173 - DONE
>  JSON Web Token - IANA #1147909 - After some corrections (removal of
> "scope" claim as it already exists), it seems that it is complete, but
> somehow waiting for IANA #1146172 to be completed.
>  [MRO] My comment here is why it needs to wait for IANA #1146172 to be
> completed? Shouldn’t it be treated separately as others have been
> (i.e. IANA #1145727, IANA #1146173)?
> OAuth Authorization Server Metadata – IANA #1146172 - We got your
> feedback (appreciated) and we proposed a solution, from my answer of
> 2nd August, which is to register those claims and to publish a new
> version later which will include the missing "enc" claim.
>  [MRO] From your email, I understand that this proposal is not
> accepted. That's fine, but as explained in my email, SEC022 document
> must be published as is (only editorial changes are allowed) even
> though claim registrations at IANA are not complete.
>         Also, you talk about IANA considerations section, which is
> part of other registration application forms, but I think not for this
> kind. Only following items are to be provided (Client Metadata Name,
> Client Metadata Description, Change controller and specification
> documents)
> OAuth Parameters – IANA #1146174 - No answer yet
> 
> Please, let me know if all that is correct and what the way forward
> should be.
> 
> Thanks in advance for your support.
> 
> Best regards.
> 
> -----------------------------------------------------------------------------------------------------------------
> Miguel Angel Reina Ortega – Testing Expert
> Centre for Testing and Interoperability (CTI)
> ETSI ● www.etsi.org ● [email-masked]
> Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99
> 
> This email may contain confidential information and is intended for
> the use of the addressee only. Any unauthorized use may be unlawful.
> If you receive this email by mistake, please advise the sender
> immediately by using the reply facility in your email software.
> Thank you for your co-operation.
> 
> -----Original Message-----
>  From: Mike Jones <[email-masked]>
> Sent: 21 August 2019 21:54
> To: Miguel Angel Reina Ortega <[email-masked]>;
> [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: RE: [IANA #1147909] RE: [Jwt-reg-review] Request to register
> claim: "at_use_nbr"
> 
> I had seen your August 2nd response but it didn't answer the question
> of when a specification that is self-consistent would be published.  I
> believe the right thing is to wait for any further registrations until
> at least the IANA Considerations section is complete and correct.  I
> hope you can make this happen soon so we can complete the process.
> 
> Thanks for your understanding and diligence in this matter.
> 
> -- Mike
> 
> -----Original Message-----
> From: Miguel Angel Reina Ortega <[email-masked]>
> Sent: Tuesday, August 20, 2019 5:27 AM
> To: Mike Jones <[email-masked]>; [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: RE: [IANA #1147909] RE: [Jwt-reg-review] Request to register
> claim: "at_use_nbr"
> 
> Hi Mike, Sabrina,
> 
> Sorry for the late response, I was on holidays.
> 
> In fact, I sent already an answer on 2nd August, maybe you did not get
> such email. Please, see the email attached.
> 
> Best regards.
> 
> -----------------------------------------------------------------------------------------------------------------
> Miguel Angel Reina Ortega – Testing Expert Centre for Testing and
> Interoperability (CTI) ETSI ●
> https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7Cb0786183bd4747b58c7808d72569a88f%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637019008053157720&amp;sdata=at8MEcthCw3ZDSBUAo1ZorIVuK%2BU78wWbkljYTxk6LU%3D&amp;reserved=0
> ● [email-masked]
> Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99
> 
> This email may contain confidential information and is intended for
> the use of the addressee only. Any unauthorized use may be unlawful.
> If you receive this email by mistake, please advise the sender
> immediately by using the reply facility in your email software.
> Thank you for your co-operation.
> 
> -----Original Message-----
> From: Mike Jones <[email-masked]>
> Sent: 14 August 2019 21:33
> To: [email-masked]
> Cc: [email-masked]; Miguel Angel Reina Ortega
> <[email-masked]>; [email-masked];
> [email-masked]
> Subject: RE: [IANA #1147909] RE: [Jwt-reg-review] Request to register
> claim: "at_use_nbr"
> 
> Miguel wrote two weeks ago that "IANA #1146172 is being handled by
> some ETSI members and I will get back to you with an answer soon", but
> I haven't heard anything back yet on when there might be a self-
> consistent specification with a correct IANA Considerations section.
> I'd really rather that we waited until the specification is self-
> consistent before we perform any additional registrations.
> 
> Thank you,
> -- Mike
> 
> -----Original Message-----
> From: Sabrina Tanamal via RT <[email-masked]>
> Sent: Wednesday, August 14, 2019 10:46 AM
> To: Mike Jones <[email-masked]>
> Cc: [email-masked]; [email-masked]; jwt-reg-
> [email-masked]; [email-masked]
> Subject: [IANA #1147909] RE: [Jwt-reg-review] Request to register
> claim: "at_use_nbr"
> 
> Hi Mike,
> 
> Can you let us know if we can proceed with this request or is further
> discussion needed?
> 
> Thanks,
> 
> Sabrina Tanamal
> Senior IANA Services Specialist
> 
> On Wed Jul 31 20:28:32 2019, [email-masked] wrote:
> > Hi Mike,
> >
> > I would like to kindly ask you to separate these two registration
> > requests and thus to accept this one as this one is already well
> > defined in the provided document.
> >
> > The request IANA #1146172 is being handled by some ETSI members and I
> > will get back to you with an answer soon.
> >
> > I hope this is ok with you.
> >
> > @Sabrina, as we agreed, once the document is published I will provide
> > you with a permanent link to update the corresponding registered
> > claims.
> >
> > Best regards.
> >
> > ----------------------------------------------------------------------
> > -------------------------------------------
> > Miguel Angel Reina Ortega – Testing Expert Centre for Testing and
> > Interoperability (CTI) ETSI ● www.etsi.org
> > ata=02%7C01%7CMichael.Jones%40microsoft.com%7C521793e89983437c9c8708d7
> > 20df5088%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370140158191905
> > 59&amp;sdata=2JKSczAdtaJ4dGXDVTnICTWLkZgAqjJp1jNmydeOoPc%3D&amp;reserv
> > ed=0 ● [email-masked]
> > Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99
> >
> > This email may contain confidential information and is intended for
> > the use of the addressee only. Any unauthorized use may be unlawful.
> > If you receive this email by mistake, please advise the sender
> > immediately by using the reply facility in your email software.
> > Thank you for your co-operation.
> >
> > -----Original Message-----
> >  From: Mike Jones <[email-masked]>
> > Sent: 31 July 2019 21:56
> > To: [email-masked]
> > Cc: Miguel Angel Reina Ortega <[email-masked]>;
> >  [email-masked]; [email-masked];
> > [email-masked]
> > <[email-masked]>
> > Subject: RE: [Jwt-reg-review] [IANA #1147909] RE: Request to register
> > claim: "at_use_nbr"
> >
> > Actually, I take that back.  Please wait to register this value and
> > reference the document until all the IANA actions requested by the
> > document provided are consistent.  The document provided does not yet
> > address the issue discussed in IANA #1146172 - that the needed
> > nfv_token_encryption_enc_values_supported value is not yet defined.
> >
> > Thanks again,
> > -- Mike
> >
> > -----Original Message-----
> >  From: Jwt-reg-review <[email-masked]> On Behalf Of
> > Mike Jones
> > Sent: Wednesday, July 31, 2019 12:36 PM
> > To: [email-masked]
> >  Cc: [email-masked]; [email-masked];
> > jwt-
> > [email-masked]
> > Subject: Re: [Jwt-reg-review] [IANA #1147909] RE: Request to register
> > claim: "at_use_nbr"
> >
> > Yes - you can register "at_use_nbr" now.
> >
> > -- Mike
> >
> > -----Original Message-----
> > From: Sabrina Tanamal via RT <[email-masked]>
> > Sent: Wednesday, July 31, 2019 10:22 AM
> >  Cc: Mike Jones <[email-masked]>;
> >  [email-masked]; [email-masked];
> > [email-masked]
> > Subject: [IANA #1147909] RE: [Jwt-reg-review] Request to register
> > claim: "at_use_nbr"
> >
> > Hi Mike, all,
> >
> > Can you confirm that we can proceed with this registration and list
> > this document as a reference?
> >
> > Thanks,
> > Sabrina
> >
> > On Tue Jul 30 08:21:55 2019, [email-masked] wrote:
> > > Hi Sabrina, all,
> > >
> > > Please, find attached the document with the updated information as
> > > requested by Mike.
> > >
> > > Best regards.
> > >
> > > --------------------------------------------------------------------
> > > --
> > > -------------------------------------------
> > > Miguel Angel Reina Ortega – Testing Expert Centre for Testing and
> > > Interoperability (CTI) ETSI ● www.etsi.org
> > > ;data=02%7C01%7CMichael.Jones%40microsoft.com%7C521793e89983437c9c87
> > > 08d720df5088%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370140158
> > > 19200566&amp;sdata=Txxu%2Fh5baaubpjj2SLwIvRyYarNQH2AXO0J25GTrLSk%3D&
> > > amp;reserved=0
> > > ata=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca82154645d27808
> > > d7
> > > 15db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63700190585993
> > > 70
> > > 39&amp;sdata=%2B0cdNrm93wSi7uT9tZHigH3V3cpFgRCXhMrmGNHjTiM%3D&amp;re
> > > se
> > > rved=0 ● [email-masked]
> > > Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99
> > >
> > > This email may contain confidential information and is intended for
> > > the use of the addressee only. Any unauthorized use may be
> > > unlawful.
> > > If you receive this email by mistake, please advise the sender
> > > immediately by using the reply facility in your email software.
> > > Thank you for your co-operation.
> > >
> > > -----Original Message-----
> > >  From: Sabrina Tanamal via RT <[email-masked]>
> > > Sent: 29 July 2019 18:32
> > > To: [email-masked]
> > >   Cc: [email-masked]; [email-masked]; Miguel
> > > Angel Reina Ortega <[email-masked]>
> > > Subject: [IANA #1147909] RE: [Jwt-reg-review] Request to register
> > > claim: "at_use_nbr"
> > >
> > > Hi Mike, all,
> > >
> > > Can we register the "at_use_nbr" JWT claim now or should we wait
> > > until the document has been updated?
> > >
> > > Thanks,
> > >
> > > Sabrina Tanamal
> > > Senior IANA Services Specialist
> > >
> > > On Thu Jul 25 21:12:50 2019, [email-masked] wrote:
> > > > I approve of registration of the "at_use_nbr" JWT claim at
> > > > https://ww
> > > > w.iana.org%2Fassignments%2Fjwt%2Fjwt.xhtml%23claims&amp;data=02%7C
> > > > 01
> > > > %7CMichael.Jones%40microsoft.com%7C03ce5bca82154645d27808d715db970
> > > > 5%
> > > > 7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637001905859937039&am
> > > > p;
> > > > sdata=WaJgaeaemiF%2B%2Fz6bdnGxV6TC%2FVAZxLqjOCEIqGBGu3U%3D&amp;res
> > > > er ved=0.  (Ideally, this should wait until an updated draft has
> > > > been sent to us that no longer attempts to register the "scope"
> > > > claim, which has now been registered by https://to
> > > > ols.ietf.org%2Fhtml%2Fdraft-ietf-oauth-token-exchange-
> > > > 19&amp;data=02
> > > > %7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca82154645d27808d715
> > > > db
> > > > 9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370019058599370
> > > > 39
> > > > &amp;sdata=qpqk6AQ7Gt8%2B0zCDICAQL%2BWDTlWSJVGrU3ZAsri8wjc%3D&amp;
> > > > re
> > > > served=0.)
> > > >
> > > > -- Mike
> > > >
> > > > From: Miguel Angel Reina Ortega
> > > > <[email-masked]>
> > > > Sent: Tuesday, June 18, 2019 10:49 AM
> > > >    To: Mike Jones <[email-masked]>; Brian Campbell
> > > > <[email-masked]>
> > > > Cc: PNNS <[email-masked]>; [email-masked]
> > > > Subject: RE: [Jwt-reg-review] Request to register claim:
> > > > "at_use_nbr"
> > > >
> > > > Dear Mike,
> > > >
> > > > Then, that’s the right link to use until it gets published. And
> > > > it
> > > > will be published once different claims are registered. So,
> > > > discussing with Brian, it was agreed to use that temporary link
> > > > so
> > > > that you can review the specification (which actually is on hold
> > > > before publication until claims are registered) and then update
> > > > the registry with the final link.
> > > >
> > > > I hope that’s still ok.
> > > >
> > > > Best regards.
> > > >
> > > > ------------------------------------------------------------------
> > > > --
> > > > --
> > > > -------------------------------------------
> > > > Miguel Angel Reina Ortega – Testing Expert Centre for Testing and
> > > > Interoperability (CTI) ETSI ● www.etsi.org
> > > > mp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C521793e89983437c
> > > > 9c8708d720df5088%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370
> > > > 14015819200566&amp;sdata=Txxu%2Fh5baaubpjj2SLwIvRyYarNQH2AXO0J25GT
> > > > rLSk%3D&amp;reserved=0
> > > > ;data=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca82154645d2
> > > > 78
> > > > 08d715db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63700190
> > > > 58
> > > > 59937039&amp;sdata=%2B0cdNrm93wSi7uT9tZHigH3V3cpFgRCXhMrmGNHjTiM%3
> > > > D&
> > > > amp;reserved=0<http%
> > > > 3A%2F%2Fwww.etsi.org%2F&data=02%7C01%7CMichael.Jones%40microsoft.c
> > > > om
> > > > %7
> > > > C811b8f37f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db
> > > > 47
> > > > %7
> > > > C1%7C0%7C636964661252284876&sdata=KAuf8TA4v%2FLEXNmL%2F7Vchy3MlwJl
> > > > Fn
> > > > 71
> > > > fr4bceE%2FMzU%3D&reserved=0>
> > > > ●
> > > > [email-masked]<mailto:miguelangel.reinaortega@et
> > > > si
> > > > .o
> > > > rg>
> > > > Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99
> > > >
> > > > This email may contain confidential information and is intended
> > > > for the use of the addressee only. Any unauthorized use may be
> > > > unlawful.
> > > > If you receive this email by mistake, please advise the sender
> > > > immediately by using the reply facility in your email software.
> > > > Thank you for your co-operation.
> > > >
> > > > From: Mike Jones
> > > > <[email-masked]<mailto:[email-masked]>>
> > > > Sent: 18 June 2019 15:13
> > > > To: Miguel Angel Reina Ortega
> > > > <[email-masked]<mailto:MiguelAngel.ReinaOrtega@etsi.
> > > > org>> ;
> > > > Brian Campbell
> > > > <[email-masked]<mailto:[email-masked]>>
> > > >    Cc: PNNS <[email-masked]<mailto:[email-masked]>>; jwt-reg-
> > > > [email-masked]<mailto:[email-masked]>
> > > > Subject: RE: [Jwt-reg-review] Request to register claim:
> > > > "at_use_nbr"
> > > >
> > > > Rather than sending it to me, it would be better to place the
> > > > normative doc at a permanent URL from which it can be directly
> > > > opened.
> > > > The IANA registration will need to refer to this URL anyway.  Any
> > > > of docx, pdf, or txt formats should be fine.
> > > >
> > > > -- Mike
> > > >
> > > > From: Miguel Angel Reina Ortega
> > > > <[email-masked]<mailto:MiguelAngel.ReinaOrtega@etsi.
> > > > org>>
> > > > Sent: Tuesday, June 18, 2019 2:54 PM
> > > > To: Mike Jones
> > > > <[email-masked]<mailto:[email-masked]>>;
> > > > Brian Campbell
> > > > <[email-masked]<mailto:[email-masked]>>
> > > >    Cc: PNNS <[email-masked]<mailto:[email-masked]>>; jwt-reg-
> > > > [email-masked]<mailto:[email-masked]>
> > > > Subject: RE: [Jwt-reg-review] Request to register claim:
> > > > "at_use_nbr"
> > > >
> > > > Dear Mike,
> > > >
> > > > Yes, it is still the correct doc link. I did not have any problem
> > > > opening any of the documents.
> > > >
> > > > Should I send it attached to an email for you?
> > > >
> > > > Best regards.
> > > >
> > > > ------------------------------------------------------------------
> > > > --
> > > > --
> > > > -------------------------------------------
> > > > Miguel Angel Reina Ortega – Testing Expert Centre for Testing and
> > > > Interoperability (CTI) ETSI ● www.etsi.org
> > > > mp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C521793e89983437c
> > > > 9c8708d720df5088%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370
> > > > 14015819200566&amp;sdata=Txxu%2Fh5baaubpjj2SLwIvRyYarNQH2AXO0J25GT
> > > > rLSk%3D&amp;reserved=0
> > > > ;data=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca82154645d2
> > > > 78
> > > > 08d715db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63700190
> > > > 58
> > > > 59937039&amp;sdata=%2B0cdNrm93wSi7uT9tZHigH3V3cpFgRCXhMrmGNHjTiM%3
> > > > D&
> > > > amp;reserved=0<http%
> > > > 3A%2F%2Fwww.etsi.org%2F&data=02%7C01%7CMichael.Jones%40microsoft.c
> > > > om
> > > > %7
> > > > C811b8f37f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db
> > > > 47
> > > > %7
> > > > C1%7C0%7C636964661252294873&sdata=AdcJngZ%2BW3ufPu3EWFmtrnfoO0cVYW
> > > > CC
> > > > Fs
> > > > RZgeIzqbg%3D&reserved=0>
> > > > ●
> > > > [email-masked]<mailto:miguelangel.reinaortega@et
> > > > si
> > > > .o
> > > > rg>
> > > > Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99
> > > >
> > > > This email may contain confidential information and is intended
> > > > for the use of the addressee only. Any unauthorized use may be
> > > > unlawful.
> > > > If you receive this email by mistake, please advise the sender
> > > > immediately by using the reply facility in your email software.
> > > > Thank you for your co-operation.
> > > >
> > > > From: Mike Jones
> > > > <[email-masked]<mailto:[email-masked]>>
> > > > Sent: 18 June 2019 12:30
> > > > To: Miguel Angel Reina Ortega
> > > > <[email-masked]<mailto:MiguelAngel.ReinaOrtega@etsi.
> > > > org>> ;
> > > > Brian Campbell
> > > > <[email-masked]<mailto:[email-masked]>>
> > > >    Cc: PNNS <[email-masked]<mailto:[email-masked]>>; jwt-reg-
> > > > [email-masked]<mailto:[email-masked]>
> > > > Subject: RE: [Jwt-reg-review] Request to register claim:
> > > > "at_use_nbr"
> > > >
> > > > I just tried opening the docs inside the .zip file https://do
> > > > cbox.etsi.org%2FISG%2FNFV%2FOpen%2FDrafts%2FSEC022_API_Access_Toke
> > > > n_
> > > > Sp&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca8215
> > > > 46
> > > > 45d27808d715db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63
> > > > 70
> > > > 01905859937039&amp;sdata=8GXMkydONn0cEqmnWzNo%2F8PYz3qwEmBK%2FVjY7
> > > > T0
> > > > s%2FFc%3D&amp;reserved=0
> > > > ec/NFV-
> > > > SEC022v010.zip<htt
> > > > ps%3A%2F%2Fdocbox.etsi.org%2FISG%2FNFV%2FOpen%2FDrafts%2FSEC022_AP
> > > > I_
> > > > Ac
> > > > cess_Token_Spec%2FNFV-
> > > > SEC022v010.zip&data=02%7C01%7CMichael.Jones%40microsoft.com%7C811b
> > > > 8f
> > > > 37
> > > > f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C
> > > > 0%
> > > > 7C
> > > > 636964661252294873&sdata=nBTW5sf1ulDOrR7QlJehFk1l5t6P0OjMrBSqv75te
> > > > r4
> > > > %3  D&reserved=0> to review the request and there were problems
> > > > opening both of them.
> > > > Is this still the correct doc link?
> > > >
> > > > -- Mike
> > > >
> > > > From: Jwt-reg-review
> > > > <[email-masked]<mailto:jwt-reg-
> > > > [email-masked]>> On Behalf Of Miguel Angel Reina Ortega
> > > > Sent: Monday, June 17, 2019 6:21 AM
> > > > To: Brian Campbell
> > > > <[email-masked]<mailto:[email-masked]>>
> > > >    Cc: PNNS <[email-masked]<mailto:[email-masked]>>; jwt-reg-
> > > > [email-masked]<mailto:[email-masked]>
> > > > Subject: Re: [Jwt-reg-review] Request to register claim:
> > > > "at_use_nbr"
> > > >
> > > > Dear Brian,
> > > >
> > > > I still don’t see the requested claim appearing on the registry.
> > > > Is there anything that needs to be done on my side?
> > > >
> > > > Thanks in advance.
> > > >
> > > > Best regards.
> > > >
> > > > From: Miguel Angel Reina Ortega
> > > > Sent: 06 June 2019 11:59
> > > > To: Brian Campbell
> > > > <[email-masked]<mailto:[email-masked]>>
> > > >   Cc: [email-masked]<mailto:[email-masked]>;
> > > > PNNS <[email-masked]<mailto:[email-masked]>>
> > > > Subject: RE: [Jwt-reg-review] Request to register claim:
> > > > "at_use_nbr"
> > > >
> > > > Dear Brian,
> > > >
> > > > Thanks for the comments. The “scope” claim will be removed from
> > > > there.
> > > >
> > > > On the other hand, I don’t see any of those links you mention,
> > > > just the following:
> > > > http://ope
> > > > nid.net%2Fspecs%2Fopenid-connect-core-
> > > > &amp;data=02%7C01%7CMichael.Jo
> > > > nes%40microsoft.com%7C03ce5bca82154645d27808d715db9705%7C72f988bf8
> > > > 6f
> > > > 141af91ab2d7cd011db47%7C1%7C0%7C637001905859937039&amp;sdata=5Ff2q
> > > > cE
> > > > LsvtCpAqvv8narSxoFX6gNynkrTORum%2FJqsk%3D&amp;reserved=0
> > > > 1_0.html#IDToken<h
> > > > ttp%3A%2F%2Fopenid.net%2Fspecs%2Fopenid-
> > > > connect-core-
> > > > 1_0.html%23IDToken&data=02%7C01%7CMichael.Jones%40microsoft.com%7C811b8f37f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636964661252304870&sdata=cPVHeLCY%2B9b1RECwSKSJd6FxIeHOzwr%2FHTDlZ8dQ2xc%3D&reserved=0>.
> > > > which seems correct to me.
> > > >
> > > > Best regards.
> > > >
> > > > From: Brian Campbell
> > > > <[email-masked]<mailto:[email-masked]>>
> > > > Sent: 29 May 2019 19:02
> > > > To: Miguel Angel Reina Ortega
> > > > <[email-masked]<mailto:MiguelAngel.ReinaOrtega@etsi.
> > > > org>>
> > > > Cc: [email-masked]<mailto:[email-masked]>; PNNS
> > > > <[email-masked]<mailto:[email-masked]>>
> > > > Subject: Re: [Jwt-reg-review] Request to register claim:
> > > > "at_use_nbr"
> > > >
> > > > In general I think that the “at_use_nbr” claim can be registered
> > > > given how it is described in the NFV_SEC022v0-1-0-cb.docx file
> > > > inside the zip file at the https://do
> > > > cbox.etsi.org%2FISG%2FNFV%2FOpen%2FDrafts%2FSEC022_API_Access_Toke
> > > > n_
> > > > Sp&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca8215
> > > > 46
> > > > 45d27808d715db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63
> > > > 70
> > > > 01905859947034&amp;sdata=Pq4UB9ge7njY4S6Bf%2FHHbb8fIhCQPc0JfX3jqgR
> > > > hm
> > > > tQ%3D&amp;reserved=0
> > > > ec/NFV-
> > > > SEC022v010.zip<htt
> > > > ps%3A%2F%2Fdocbox.etsi.org%2FISG%2FNFV%2FOpen%2FDrafts%2FSEC022_AP
> > > > I_
> > > > Ac
> > > > cess_Token_Spec%2FNFV-
> > > > SEC022v010.zip&data=02%7C01%7CMichael.Jones%40microsoft.com%7C811b
> > > > 8f
> > > > 37
> > > > f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C
> > > > 0%
> > > > 7C
> > > > 636964661252304870&sdata=h%2BbV4TOGWI7OclnjcoVfhxDohoCDS2ZMmP4Wkhb
> > > > PE
> > > > d8
> > > > %3D&reserved=0>
> > > > link provided.
> > > >
> > > > However, there are also links there to https://op
> > > > enid.net%2Fspecs%2Fopenid-connect-core-
> > > > &amp;data=02%7C01%7CMichael.J
> > > > ones%40microsoft.com%7C03ce5bca82154645d27808d715db9705%7C72f988bf
> > > > 86
> > > > f141af91ab2d7cd011db47%7C1%7C0%7C637001905859947034&amp;sdata=M0zR
> > > > pF
> > > > zFgM8EnQuyoABtdckcDh%2B5IL0QJXauHSoA07k%3D&amp;reserved=0
> > > > 1_0.html#StandardClaims<https://nam06.safelinks.protection.outlook
> > > > .com/?url=https%3A%2F%2Fnam06.safelinks.protection.outlook&amp;dat
> > > > a=02%7C01%7CMichael.Jones%40microsoft.com%7Cb0786183bd4747b58c7808
> > > > d72569a88f%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370190080
> > > > 53167728&amp;sdata=e7kKSY6pwAjV%2Fb4TpIKXoprGpjD524XOUYKAg12HMBY%3
> > > > D&amp;reserved=0
> > > > .com/?url=https%3A%2F%2Fnam06.safelinks.protection.outlook.c&amp;d
> > > > ata=02%7C01%7CMichael.Jones%40microsoft.com%7C521793e89983437c9c87
> > > > 08d720df5088%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63701401
> > > > 5819200566&amp;sdata=UYqkdNet0dUSoi3U%2BLY3d5o%2Ffkzp%2Btel3UrjWh8
> > > > 5Wcs%3D&amp;reserved=0
> > > > om/?url=https%3A%2F%2Fnam06.safelinks.protection.outlook.c&amp;dat
> > > > a=
> > > > 02%7C01%7CMichael.Jones%40microsoft.com%7Ca1b2a4c6acf043185d9f08d7
> > > > 15
> > > > ee5ac5%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63700198579729
> > > > 91
> > > > 91&amp;sdata=LaFhyQadqmdEBuPLIvuhVJwqK2Wriw%2FqxQFXG4Ovic4%3D&amp;
> > > > re
> > > > served=0
> > > > om
> > > > /?url=https%3A%2F%2Fopenid.net%2Fspecs%2Fopenid-
> > > > connect-core-
> > > > 1_0.html%23StandardClaims&data=02%7C01%7CMichael.Jones%40microsoft
> > > > .c
> > > > om
> > > > %7C811b8f37f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011
> > > > db
> > > > 47
> > > > %7C1%7C0%7C636964661252314858&sdata=L1aJTNTynU7sITK1GIYZ6T3TGe%2BE
> > > > %2
> > > > FA
> > > > hfKweE8wmXP54%3D&reserved=0>
> > > > and
> > > > https://po
> > > > rtal.etsi.org%2Fwebapp%2FWorkProgram%2FReport_WorkItem.asp%3FWKI_I
> > > > D&
> > > > amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca8215464
> > > > 5d
> > > > 27808d715db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63700
> > > > 19
> > > > 05859947034&amp;sdata=5a4ItLjnDwXrxjrRUtWQACELH7WbVY5D4iyxW%2Fik7K
> > > > s%
> > > > 3D&amp;reserved=0=
> > > > 54060<https:/%
> > > > 2Fportal.etsi.org%2Fwebapp%2FWorkProgram%2FReport_WorkItem.asp%3FW
> > > > KI
> > > > _I
> > > > D%3D54060&data=02%7C01%7CMichael.Jones%40microsoft.com%7C811b8f37f
> > > > 82
> > > > 54
> > > > cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6
> > > > 36
> > > > 96
> > > > 4661252314858&sdata=OXRk3QxdH%2BaevjV9UqRhO667tzXkCbTBISdhFvMigAc%
> > > > 3D &r eserved=0> which are confusing and/or don't seem right.
> > > >
> > > > Also the NFV_SEC022v0-1-0-cb.docx document also still has "scope"
> > > > in
> > > > the JSON Web Token Claims registry which needs to be removed.
> > > >  Because ultimately I think IANA works off of the specification
> > > > document itself.
> > > >
> > > >
> > > >
> > > > On Sun, May 26, 2019 at 9:36 PM Miguel Angel Reina Ortega
> > > > <[email-masked]<mailto:MiguelAngel.ReinaOrtega@etsi.
> > > > org>>
> > > > wrote:
> > > > Dear,
> > > >    On behalf of ETSI NFV ISG, I would like to submit the
> > > > following
> > > > registration request for the “JSON Web Token” registry:
> > > >
> > > > *   Claim Name: “at_use_nbr”
> > > > *   Claim Description: Number of API requests for which the
> > > > access
> > > > token can be used.
> > > > *   Change Controller: ETSI ([email-masked]<mailto:[email-masked]>)
> > > > *   Specification Document(s): Clause
> > > > 5.5<https://
> > > > openid.net%2Fspecs%2Fopenid-
> > > > connect-core-
> > > > 1_0.html%23StandardClaims&data=02%7C01%7CMichael.Jones%40microsoft
> > > > .c
> > > > om
> > > > %7C811b8f37f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011
> > > > db
> > > > 47
> > > > %7C1%7C0%7C636964661252324855&sdata=y%2B5vLXGsFEb7ZvAyWM8F%2BjEHhv
> > > > DS
> > > > P6
> > > > Vk7%2F5TDFLk0wM%3D&reserved=0>
> > > > of the present ETSI GS NFV-SEC
> > > > 022<https://
> > > > portal.etsi.org%2Fwebapp%2FWorkProgram%2FReport_WorkItem.asp%3FWKI
> > > > _I
> > > > D%
> > > > 3D54060&data=02%7C01%7CMichael.Jones%40microsoft.com%7C811b8f37f82
> > > > 54
> > > > cc
> > > > 50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636
> > > > 96
> > > > 46
> > > > 61252324855&sdata=%2BbJya6z9mpjCsFj%2BsOS8Yr6I1LuNK%2BTAHP3jlzag%2
> > > > FC
> > > > w%
> > > > 3D&reserved=0>
> > > > (https://d
> > > > ocbox.etsi.org%2FISG%2FNFV%2FOpen%2FDrafts%2FSEC022_API_Access_Tok
> > > > en
> > > > _S&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca8215
> > > > 46
> > > > 45d27808d715db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63
> > > > 70
> > > > 01905859947034&amp;sdata=0Z9Er4JAhHq4axkeXIm5MNsI9lhxdvieeAoE%2Bhe
> > > > Wo
> > > > K0%3D&amp;reserved=0
> > > > pec/NFV-
> > > > SEC022v010.zip<htt
> > > > ps%3A%2F%2Fdocbox.etsi.org%2FISG%2FNFV%2FOpen%2FDrafts%2FSEC022_AP
> > > > I_
> > > > Ac
> > > > cess_Token_Spec%2FNFV-
> > > > SEC022v010.zip&data=02%7C01%7CMichael.Jones%40microsoft.com%7C811b
> > > > 8f
> > > > 37
> > > > f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C
> > > > 0%
> > > > 7C
> > > > 636964661252334848&sdata=Hz8Ruq6%2F80zPTVUZ5Utfl%2FVT6iM0b5tXRra0U
> > > > 1B
> > > > 8R
> > > >    m0%3D&reserved=0>) Please, note that once the specification is
> > > > approved, the pointer to the specification will be updated.
> > > >
> > > > Best regards.
> > > >
> > > > ------------------------------------------------------------------
> > > > --
> > > > --
> > > > -------------------------------------------
> > > > Miguel Angel Reina Ortega – Testing Expert Centre for Testing and
> > > > Interoperability (CTI) ETSI ● www.etsi.org
> > > > mp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C521793e89983437c
> > > > 9c8708d720df5088%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370
> > > > 14015819200566&amp;sdata=Txxu%2Fh5baaubpjj2SLwIvRyYarNQH2AXO0J25GT
> > > > rLSk%3D&amp;reserved=0
> > > > ;data=02%7C01%7CMichael.Jones%40microsoft.com%7C03ce5bca82154645d2
> > > > 78
> > > > 08d715db9705%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63700190
> > > > 58
> > > > 59947034&amp;sdata=nedUcqbW%2FPSMmLctEfvIbKHaRuD6uatprK4gxMvwXbg%3
> > > > D&
> > > > amp;reserved=0<http%
> > > > 3A%2F%2Fwww.etsi.org%2F&data=02%7C01%7CMichael.Jones%40microsoft.c
> > > > om
> > > > %7
> > > > C811b8f37f8254cc50b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db
> > > > 47
> > > > %7
> > > > C1%7C0%7C636964661252334848&sdata=Tm4r7phfca0Zn50tykuYD%2FgwFg4z5m
> > > > TF
> > > > eR
> > > > DQELgvNBM%3D&reserved=0>
> > > > ●
> > > > [email-masked]<mailto:miguelangel.reinaortega@et
> > > > si
> > > > .o
> > > > rg>
> > > > Phone: +33 (0)4 92 94 43 49 ● Mobile: +33 (0)6 76 73 60 99
> > > >
> > > > This email may contain confidential information and is intended
> > > > for the use of the addressee only. Any unauthorized use may be
> > > > unlawful.
> > > > If you receive this email by mistake, please advise the sender
> > > > immediately by using the reply facility in your email software.
> > > > Thank you for your co-operation.
> > > >
> > > > _______________________________________________
> > > > Jwt-reg-review mailing list
> > > > [email-masked]<mailto:[email-masked]>
> > > > https://ww
> > > > w.ietf.org%2Fmailman%2Flistinfo%2Fjwt-reg-
> > > > &amp;data=02%7C01%7CMichae
> > > > l.Jones%40microsoft.com%7C03ce5bca82154645d27808d715db9705%7C72f98
> > > > 8b
> > > > f86f141af91ab2d7cd011db47%7C1%7C0%7C637001905859947034&amp;sdata=D
> > > > %2
> > > > Fs2RzSYARgpbhe7hqQV%2FnLVVZ9hvob6NLDsujtOSYU%3D&amp;reserved=0
> > > > review<https:/
> > > > %2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fjwt-
> > > > reg-
> > > > review&data=02%7C01%7CMichael.Jones%40microsoft.com%7C811b8f37f825
> > > > 4c
> > > > c5
> > > > 0b0c08d6f3fc0f41%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6369
> > > > 64
> > > > 66
> > > > 1252344842&sdata=Mdyegz6ObTAZWdgJjgHNzFP%2FuUc%2BO%2BoLgM06IuJO3cc
> > > > %3
> > > > D&
> > > > reserved=0>
> > > >
> > > > CONFIDENTIALITY NOTICE: This email may contain confidential and
> > > > privileged material for the sole use of the intended
> > > > recipient(s).
> > > > Any
> > > > review, use, distribution or disclosure by others is strictly
> > > > prohibited.  If you have received this communication in error,
> > > > please notify the sender immediately by e-mail and delete the
> > > > message and any file attachments from your computer. Thank you.
> > >
> >
> > _______________________________________________
> > Jwt-reg-review mailing list
> > [email-masked]
> > https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> > ietf.org%2Fmailman%2Flistinfo%2Fjwt-
> > &amp;data=02%7C01%7CMichael.Jones%
> > 40microsoft.com%7Cb0786183bd4747b58c7808d72569a88f%7C72f988bf86f141af9
> > 1ab2d7cd011db47%7C1%7C0%7C637019008053167728&amp;sdata=hYmhgVCRbB8bubZ
> > RHTVppYux7q36r%2FpfuXxB%2Bf7KUdM%3D&amp;reserved=0
> > reg-
> > review&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7Ca1b2a4c6acf0
> > 43185d9f08d715ee5ac5%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370
> > 01985797299191&amp;sdata=u34t%2BO8%2F7VwUzo6sx97upBZBPZCOLd5wfGhUezyWd
> > oo%3D&amp;reserved=0
>

---

From: Mike Jones <[email-masked]>
Date: Tue, 10 Sep 2019 00:27:31 +0000

I have previously communicated to the parties requesting the registration that they should publish a version with a self-consistent IANA Considerations section the corrects the inconsistencies identified by the designated experts before further registrations are performed.  Please hold this request open until the new version of the document has been published and reviewed by the designated experts.

				Thank you,
				-- Mike

-----Original Message-----
From: Sabrina Tanamal via RT <[email-masked]> 
Sent: Monday, September 9, 2019 2:04 PM
To: Mike Jones <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [IANA #1147909] RE: [Jwt-reg-review] Request to register claim: "at_use_nbr"

Hi Mike, all, 

Thanks,
Sabrina

On Thu Aug 22 10:33:06 2019, [email-masked] wrote:
> Well-known URIs – IANA #1145727 - DONE OAuth Dynamic Client 
> Registration Metadata – IANA #1146173 - DONE  JSON Web Token - IANA 
> #1147909 - After some corrections (removal of "scope" claim as it 
> already exists), it seems that it is complete, but somehow waiting for 
> IANA #1146172 to be completed.
> https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org&amp;d
> ata=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd8552394849f35e08d7
> 35692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370365981972288
> 68&amp;sdata=1%2BIZc4Bse%2BCeMw4ayB6qY1RFNwx4%2FgX9xAU3waMTrEM%3D&amp;
> reserved=0 ● [email-masked]
> https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org&amp;d
> ata=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd8552394849f35e08d7
> 35692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370365981972288
> 68&amp;sdata=1%2BIZc4Bse%2BCeMw4ayB6qY1RFNwx4%2FgX9xAU3waMTrEM%3D&amp;
> reserved=0
> > The request IANA #1146172 is being handled by some ETSI members and 
> > I will get back to you with an answer soon.
> >
> > @Sabrina, as we agreed, once the document is published I will 
> > provide you with a permanent link to update the corresponding 
> > registered claims.
> >
> > Best regards.
> >
> > https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org&amp
> > ;data=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd8552394849f35e
> > 08d735692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370365981
> > 97228868&amp;sdata=1%2BIZc4Bse%2BCeMw4ayB6qY1RFNwx4%2FgX9xAU3waMTrEM
> > %3D&amp;reserved=0
> > [email-masked] <[email-masked]>
> > document provided are consistent.  The document provided does not 
> > yet address the issue discussed in IANA #1146172 - that the needed 
> > > https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org&a
> > > mp;data=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd8552394849
> > > f35e08d735692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C6370
> > > 36598197228868&amp;sdata=1%2BIZc4Bse%2BCeMw4ayB6qY1RFNwx4%2FgX9xAU
> > > 3waMTrEM%3D&amp;reserved=0
> > > > sdata=WaJgaeaemiF%2B%2Fz6bdnGxV6TC%2FVAZxLqjOCEIqGBGu3U%3D&amp;r
> > > > es er ved=0.  (Ideally, this should wait until an updated draft 
> > > > has been sent to us that no longer attempts to register the 
> > > > "scope"
> > > > it will be published once different claims are registered. So, 
> > > > so that you can review the specification (which actually is on 
> > > > hold before publication until claims are registered) and then 
> > > > update the registry with the final link.
> > > >
> > > > I hope that’s still ok.
> > > >
> > > > Best regards.
> > > >
> > > > Miguel Angel Reina Ortega – Testing Expert Centre for Testing 
> > > > and Interoperability (CTI) ETSI ● 
> > > > https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org
> > > > &amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd855239
> > > > 4849f35e08d735692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%
> > > > 7C637036598197228868&amp;sdata=1%2BIZc4Bse%2BCeMw4ayB6qY1RFNwx4%
> > > > 2FgX9xAU3waMTrEM%3D&amp;reserved=0
> > > > <[email-masked]<mailto:[email-masked]>
> > > > >
> > > > Sent: 18 June 2019 15:13
> > > > The IANA registration will need to refer to this URL anyway.  
> > > > Any of docx, pdf, or txt formats should be fine.
> > > >
> > > > -- Mike
> > > >
> > > > <[email-masked]<mailto:[email-masked]>
> > > > >;
> > > > Brian Campbell
> > > > Yes, it is still the correct doc link. I did not have any 
> > > > problem opening any of the documents.
> > > >
> > > > Miguel Angel Reina Ortega – Testing Expert Centre for Testing 
> > > > and Interoperability (CTI) ETSI ● 
> > > > https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org
> > > > &amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd855239
> > > > 4849f35e08d735692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%
> > > > 7C637036598197228868&amp;sdata=1%2BIZc4Bse%2BCeMw4ayB6qY1RFNwx4%
> > > > 2FgX9xAU3waMTrEM%3D&amp;reserved=0
> > > > <[email-masked]<mailto:[email-masked]>
> > > > >
> > > > Sent: 18 June 2019 12:30
> > > > 1_0.html#StandardClaims<https://nam06.safelinks.protection.outlo
> > > > ok.com/?url=https%3A%2F%2Fnam06.safelinks.protection.outlook&amp
> > > > ;data=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd8552394849
> > > > f35e08d735692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C63
> > > > 7036598197228868&amp;sdata=rXQbSzVgLNcUlpkU7w7CYZ%2Bkz6sfYWi7GBw
> > > > HKNjmF3M%3D&amp;reserved=0 
> > > > 4661252314858&sdata=OXRk3QxdH%2BaevjV9UqRhO667tzXkCbTBISdhFvMigA
> > > > c% 3D &r eserved=0> which are confusing and/or don't seem right.
> > > >
> > > > following registration request for the “JSON Web Token” 
> > > > registry:
> > > >
> > > >    m0%3D&reserved=0>) Please, note that once the specification 
> > > > is approved, the pointer to the specification will be updated.
> > > >
> > > > Best regards.
> > > >
> > > > Miguel Angel Reina Ortega – Testing Expert Centre for Testing 
> > > > and Interoperability (CTI) ETSI ● 
> > > > https://nam06.safelinks.protection.outlook.com/?url=www.etsi.org
> > > > &amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7Cf03bcd855239
> > > > 4849f35e08d735692f1b%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%
> > > > 7C637036598197228868&amp;sdata=1%2BIZc4Bse%2BCeMw4ayB6qY1RFNwx4%
> > > > 2FgX9xAU3waMTrEM%3D&amp;reserved=0